// Header //

.header {
    background-color: $white;

    .header__top {
        position: fixed;
        width: 100%;
        top: 0;
        background-color: $white;
        z-index: 3;
        -webkit-box-shadow: 0px 24px 20px 0px rgba(34, 60, 80, 0.2);
        -moz-box-shadow: 0px 24px 20px 0px rgba(34, 60, 80, 0.2);
        box-shadow: 0px 24px 20px 0px rgba(34, 60, 80, 0.2);
        
        .menu-top__wrapper {
            .mobile-menu__wrapper {
                display: none;
            }

            .mobile-menu__button {
                display: none;
                border: none;
                background: transparent;

                .ham {
                    width: 50px;
                    cursor: pointer;
                    -webkit-tap-highlight-color: transparent;
                    transition: transform 400ms;
                    -moz-user-select: none;
                    -webkit-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                }
                .hamRotate.active {
                    transform: rotate(45deg);
                }
                .hamRotate180.active {
                    transform: rotate(180deg);
                }
                .line {
                    fill:none;
                    transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
                    stroke:#000;
                    stroke-width:5.5;
                    stroke-linecap:round;
                }
                .ham8 .top {
                    stroke-dasharray: 40 160;
                }
                .ham8 .middle {
                    stroke-dasharray: 40 142;
                    transform-origin: 50%;
                    transition: transform 400ms;
                }
                .ham8 .bottom {
                    stroke-dasharray: 40 85;
                    transform-origin: 50%;
                    transition: transform 400ms, stroke-dashoffset 400ms;
                }
                .ham8.active .top {
                    stroke-dashoffset: -64px;
                }
                .ham8.active .middle {
                    transform: rotate(90deg);
                }
                .ham8.active .bottom {
                    stroke-dashoffset: -64px;
                }
            }

            .mobile-menu__logo {
                display: none;
            }
        }
    }

    .header__bottom {
        background-color: $lightgray;
        margin-top: 70px;

        .content__wrapper {
            display: flex;
            justify-content: space-between;
            padding: 30px 0;

            .header__text {
                @include headerText;    
                transition: 0.4s ease;
            
                &:hover {
                    color: $orange;
                }
            }

            .block__wrapper {
                display: flex;
                align-items: center;

                .header__icon {
                    height: 14px;
                    width: 14px;
                    padding-right: 10px;
                }
            }

            .callback__wrapper {
                display: flex;

                .phone__wrapper {
                    display: flex;
                    flex-direction: column;
                    margin-right: 10px;

                    .phone__link {
                        @include phoneLink;
                        &:not(:last-child) {
                            padding-bottom: 3px;
                        }

                        &:last-child {
                            padding-bottom: 10px;
                        }
                    }
                }

                .messenger__wrapper {
                    display: flex;

                    .social__wrap {
                        display: flex;

                        .social__link {
                            &:not(:last-child) {
                                padding-right: 5px;
                            }
                            .social__image {
                                width: 20px;
                                height: 20px;
                            }
                    
                            .social-image__hover {
                                width: 20px;
                                height: 20px;
                            }
                        } 
                    }
                }
            }

            .info__wrapper {
                text-align: end;
            }
        }
    }
}

.main {
    .nav-menu__section {
        background-color: $lightgray;
        padding-bottom: 40px;
       
        .navigation__wrapper {
            .nav-menu__wrapper {
                display: flex;
                justify-content: space-between;
                background-color: $white;
                padding: 15px 15px;
                
                .nav-menu__item {
                    text-align: center;
                    border: none;
                    background: transparent;
                    cursor: pointer;
                    transition: 0.4s ease;
                    
                    .nav-menu__image {
                        margin-bottom: 10px;
                    }
    
                    .nav-menu__title {
                        @include navMenuTitle;
                    }
                }
                
                .nav-menu__item.nav--active {
                    scale: 1.1;
                    .nav-menu__title {
                        color: $orange;
                    }
                }
            }
    
            .dropdown-list__wrapper {
                display: flex;
                justify-content: center;
                position: absolute;
    
                .dropdown__list {
                    background-color: $lightgray;
                    box-shadow: 4px 4px 49px 2px rgba(49, 52, 59, 0.26);
                    transition: 0.4s ease;
                    opacity: 0;
                    z-index: -1;
                    height: 0;
                   
                    .dropdown__item {
                        padding: 10px 10px;
                        transition: 0.4s ease;
                        width: 170px;
    
                        &:first-child {
                            border-top: 2px solid $orange;
                        }
                          
                        &:not(:first-child) {
                            border-top: 1px solid $bordergray;
                        }
    
                        &:hover {
                            background-color: $white;
                        }
    
                        .dropdown__link {
                            @include dropdownLink;
                        }
                    }
                }
    
                .dropdown__list.nav--active {
                    height: 100%;
                    opacity: 1;
                    z-index: 2;
                }
            }
        }

        .navigation-slider__wrapper {
            display: none;
            
            .navigation__slider {
                .navigation__slide {
                    background-color: $white;
                    width: 168px;
                    height: 380px;
                    padding: 15px;
                    margin-right: 15px;

                    .navigation__name {
                        .navigation__title {
                            @include navMenuTitle;
                            text-align: center;
                            font-size: 16px;
                        }
                    }

                    .navigation__list {
                        .navigation__item {
                            padding-top: 15px;
                            .navigation__link {
                                @include dropdownLink;
                                font-size: 14px;
                            }
                        }
                    }
                }
            }
        }
    }
    
    .main__section {
        background-image: url(../img/background/main.png);
        background-repeat: no-repeat;
        background-size: cover;
        margin-bottom: 70px;

        .main__wrapper {
            padding-top: 44px;
            padding-bottom: 74px;

            .breadcrumbs {
                margin-bottom: 27px;

                .crumb {
                    @include crumb;
                   
                    &:not(:last-child) {
                        padding-right: 1px;
                        cursor: pointer;
                    }
    
                    &:last-child {
                        pointer-events: none;
                        color: $bordergray;
                    }
                }
            }

            .main__inner {
                display: flex;
                justify-content: space-between;
                align-items: center;

                .main__block {
                    .main__title {
                        @include mainTitle;
                        margin-bottom: 50px;
                    }

                    .main__price {
                        @include mainPrice;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        width: 220px;
                        height: 77px;
                    }
                }

                .form__block {
                    display: flex;
                    justify-content: center;
                    max-width: 310px;
                    height: 397px;
                    width: 100%;
                    background-color: $white;
                   
                    .form {
                        padding: 20px 30px 30px;

                       .basic__title {
                        text-align: center;
                       }

                        .form__list {
                            .form__item {
                                position: relative;

                                .form-control {
                                    max-width: 250px;
                                    width: 100%;
                                    height: 57px;
                                    text-indent: 20px;
                                    border: 1px solid $borderform;
                                    background: $white;
                                    outline: none;
                                    margin-bottom: 25px;
                                }

                                input::placeholder {
                                    color: $darkgray;

                                    &:focus {
                                        color: $orange;
                                    }
                                }

                                .form__text {
                                    @include formText;
                                    margin-bottom: 15px;

                                    .link__text {
                                        color: $orange;
                                        cursor: pointer;
                                    }
                                }

                                .form__button {
                                    max-width: 252px;
                                    height: 60px;
                                    width: 100%;
                                }

                                .error {
                                    @include error;
                                    position: absolute;
                                    top: 62px;
                                    left: 0;
                                }

                                .form-control_error {
                                    border-color: $orange;
                                }
                            }
                        }

                        .form__list--delete {
                            display: none;
                        }
                    }

                    .form--hide {
                        display: none;
                    }

                    .sent__form {
                        display: none;
                        @include sentForm;
                        text-align: center;
                        justify-content: center;
                        align-items: center;
                    }

                    .sent__form--show {
                        display: flex;
                        
                    }
                }
            }
        }
    }

    .description__section {
        .decor__line {
            margin-bottom: 55px;
        }

        .description__information {
            display: flex;
            justify-content: space-between;
            margin-bottom: 80px;

            .image__block {
                max-width: 543px;
                width: 100%;
                background-image: url('../img/background/granite-crushed-stone.png');
                background-size: cover;
                background-repeat: no-repeat;
                margin-right: 40px;
            }

            .feature__block {
                width: 556px;

                .block__title {
                    margin-bottom: 15px;
                }

                .feature__list {
                    margin-bottom: 40px;

                    .feature__item {
                        display: flex;
                        justify-content: space-between;
                        position: relative;

                        &:not(:last-child) {
                            margin-bottom: 7px;
                        }

                        &::before {
                            position: absolute;
                            content: '';
                            height: 1px;
                            width: 100%;
                            background-color: $lightgray;
                            top: 50%;
                            transform: translateY(-50%); 
                        }

                        .item__name {
                            @include itemName;
                            padding-right: 10px; 
                            z-index: 1;
                            background-color: $white;
                        }

                        .item__value {
                            @include itemValue;
                            padding-left: 10px;
                            z-index: 1;
                            background-color: $white;
                        }
                    }
                }

                .info__cell {
                    display: flex;
                    max-width: 510px;
                    width: 100%;
                    margin-bottom: 40px;
                    border: 1px solid $bordergray;

                    .cell {
                        display: flex;
                        align-items: center;
                        padding: 14px 24px;
                        max-width: 120px;
                        width: 100%;

                        &:not(:last-child) {
                            border-right: 1px solid $bordergray;
                        }

                        .cell__image {
                            padding-right: 20px;
                        }

                        .cell__text {
                            @include colorText;
                        }
                    }
                }

                .inner__order {
                    display: flex;
                    align-items: center;
                    position: relative;
                    
                    .order__button {
                        @include orderButton;
                    }

                    .order__price {
                        @include orderPrice;
                    }
                }
            }
        }

        .description__tabs {
            margin-bottom: 80px;

            .buttons__wrapper {
                display: flex;
                transition: 0.4s ease;

                .tab__button {
                    @include tabButton;
                    margin: 0;
                }

                .tab__button.tab__active {
                    background-color: $darkgray;
                    color: $white;
                }
            }

            .contents__wrapper {
                border: 1px solid $bordergray;

                .tab__content {
                    display: none;
                    padding: 40px;

                    .decor__line {
                        margin-bottom: 30px;
                    }

                    .block__title {
                        margin-bottom: 20px;
                    }

                    .tab__text {
                        margin-bottom: 30px;
                    }

                    .block__marker {
                        position: relative;
                        padding-left: 10px;

                        &:before {
                            position: absolute;
                            content: url('../img/icon/point.svg');
                            top: -5%;
                            left: 0;
                        }

                        &:not(:last-child) {
                            margin-bottom: 10px;
                        }
                    }
                }
                  
                .tab__content.tab__active {
                    display: block;
                }
            }
        }

        .description__delivery {
            margin-bottom: 80px;
            
            .decor__line {
                margin-bottom: 60px;
            }

            .delivery__cities {
                background-color: $backgroundgray;
                display: flex;
                flex-direction: column;
                flex-wrap: wrap;
                align-items: flex-start;
                justify-content: start;
                position: relative;
                &::before {
                    position: absolute;
                    content: '';
                    height: 100%;
                    width: 1px;
                    background-color: $bordergray;
                    left: 33.33%;
                }

                &::after {
                    position: absolute;
                    content: '';
                    height: 100%;
                    width: 1px;
                    background-color: $bordergray;
                    right: 33.33%;
                }
               
                .city__column {
                    column-count: 3;
                    width: 100%;
                    max-width: 1140px;
                    padding-top: 30px;
                    padding-bottom: 30px;

                    .city__link {
                        @include cityLink;
                        padding-left: 60px;
                    }
                }
            }
        }

        .description__price {
            .decor__line {
                margin-bottom: 51px;
            }

            .table__price {
                margin-bottom: 120px;

                table, th {  
                    border: 1px solid $bordergray;
                    text-align: center;
                }

                td {
                    border-right: 1px solid $bordergray;
                }
                  
                table {
                    border-collapse: collapse;
                    width: 100%;
                }
                  
                td {
                    background-color: $backgroundgray;
                }
    
                th {
                    text-align: center;
                    vertical-align: middle;
                    background-color: $borderform;
                }
    
                .table__width {
                    table-layout: fixed;
                    width: 100px;
                }
    
                .table__title {
                    @include tableTitle;
                    padding: 10px 0; 
                }

                .table__subtitle {
                    @include tableSubtitle;
                    padding: 11px 0;  
                }

                .table__text {
                    @include tableText;
                    padding: 10px 0;
                }

                .margin-top__col {
                    margin-top: 25px;
                }

                .margin-bottom__col {
                    margin-bottom: 25px;
                }

                .red__text {
                    color: $red;
                }

                .table__wrapper {
                    position: relative;
                    width: 78px;
                    background-color: $borderform;
    
                    .table__image {
                        position: absolute;
                        width: 105px;
                        top: 10%;
                        transform: translate(-50%);
                        left: 50%;
                    }
                }

                .table__button {
                    width: 99px;
                    height: 34px;
                }
            }

            .price-slider__wrapper {
                position: relative;
                display: none;

                .price__slider {
                    margin-bottom: 120px;
                    
                    .price__slide {
                        width: 290px;
                        padding: 20px 30px;
                        border: 1px solid $bordergray;
                        .price__name {
                            border-bottom: 1px solid $bordergray;
                            padding-bottom: 20px;
    
                            .block__title {
                                color: $red;
                            } 
                        }
                        
                        .price__specific {
                            padding-bottom: 20px;
                            border-bottom: 1px solid $bordergray;
    
                            .block__title {
                                padding-top: 20px;
                                padding-bottom: 10px;
                            }
    
                            .block__text {
                                &:not(:last-child) {
                                    padding-bottom: 5px;
                                }
                                
                            }
                        }
    
                        .price__order {
                           padding-top: 20px; 
    
                           .price__button {
                            width: 100%;
                            height: 42px;
                           }
                        }
                    }
                }
            }
        }
    }

    .sales__section {
        background-color: $backgroundsection;
        padding-top: 80px;
        padding-bottom: 120px;
        margin-bottom: 80px;
       
        .decor__line {
            margin-bottom: 55px;
        }
        .sales-slider__wrapper {
            position: relative;

            .sales__slider {
                .sales-slick-slide {
                    padding-left: 10px;
                    padding-right: 10px;
                }
    
                .sales__slide {
                    background-color: $white;   
                    width: 212px !important;
                    text-align: center;
                    border: 1px solid $bordergray;
                    transition: 0.4s ease;
    
                    .sales-slide-image__wrapper {
                        width: 212px;
                        height: 212px;
                        margin-bottom: 16px;
    
                        .sales-slide__image {
                            width: 100%;
                            height: 100%
                        }
                    }
    
                    .sales-slide__content {
                        .sales-slide__name {
                            @include salesSlideName;
                            margin-bottom: 10px;
                        }
    
                        .sales-slide__value {
                            @include salesSlideValue;
                            margin-bottom: 17px; 
                        }
    
                        .sales-slide__button {
                            @include salesSlideButton;
                            margin-bottom: 20px;
                        }
                    }
                } 
            }
        }
    }

    .advantage__section {
        margin-bottom: 50px;

        .decor__line {
            margin-bottom: 60px;
        }

        .advantage__wrapper {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;

            .advantage__item {  
                max-width: 300px;
                text-align: center;
                margin-bottom: 50px;

                .advantage-image__wrapper {
                    margin-bottom: 12px;
                }

                .advantage-content__wrapper {
                   .advantage__title {
                        @include advantageTitle;
                        margin-bottom: 15px;
                   }

                   .advantage__text {
                        @include advantageText;
                   }
                }
            }
        }
    }

    .information__section {
        background-color: $backgroundsection;
        padding-top: 80px;
        padding-bottom: 120px;
        margin-bottom: 80px;

        .information__wrapper {
            display: flex;
            justify-content: space-between;

            .decor__line {
                margin-bottom: 55px;
            }

            .questions__block {
                .questions__accordion {
                    .accordions {
                        .accordion {
                            max-width: 750px;
                            width: 100%;
                            overflow: hidden;
                            margin-bottom: 20px;
                        }
        
                        .accordion__label {
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            padding: 20px 30px 18px;
                            background-color: transparent;
                            text-transform: uppercase;
                            font-size: 15px;
                            border-left: 1px solid $bordergray;
                            border-right: 1px solid $bordergray;
                            border-top: 1px solid $bordergray;
                            cursor: pointer;
                            
                            &::after {
                                content: url('../img/icon/arrow-acc.svg');
                                transition: 0.4s ease;
                            }
                        }
    
                        .accordion__content {
                            max-height: 0;
                            padding: 0 30px;
                            background-color: $white;
                            transition: all 0.4s ease;
                            border-left: 1px solid $bordergray;
                            border-right: 1px solid $bordergray;
                            border-bottom: 1px solid $bordergray;
                        }
    
                        .accordion__input {
                            position: absolute;
                            opacity: 0;
    
                            &:checked {
                            + .accordion__label::after {
                                transform: rotate(90deg);
                            }
    
                            ~ .accordion__content {
                                max-height: 100vh;
                                padding: 28px 30px;
                            }
    
                            + .accordion__label {
                                border: 2px solid $orange;
                                color: $red;
                                
                                    &::after {
                                        content: url('../img/icon/arrow-acc-hover.svg');
                                        transition: 0.4s ease;
                                    }
                                }
                            }
                        } 
                    }
                }
            }

            .manager__block {
                max-width: 360px;
                width: 100%;

                .manager__wrapper {
                    background-color: $borderform;
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    padding: 30px;

                    .manager-photo__wrapper {
                        width: 168px;
                        height: 168px;
                        margin-bottom: 40px;
                        
                        .manager__photo {
                            width: 100%;
                            border: 5px solid $white;
                            border-radius: 100%;
                        }
                    }

                    .manager__contacts {
                        margin-bottom: 25px;

                        .social__wrap {
                            display: flex;
    
                            .social__link {
                                &:not(:last-child) {
                                    padding-right: 12px;
                                }
                                .social__image {
                                    width: 40px;
                                    height: 40px;
                                }
                        
                                .social-image__hover {
                                    width: 40px;
                                    height: 40px;
                                }
                            } 
                        }
                    }

                    .manager__name {
                        text-align: center;

                        .block__title {
                            margin-bottom: 4px;
                            text-transform: uppercase;
                        }
                    }
                }
            }
        }
    }

    .reviews__section {
        position: relative;
        margin-bottom: 120px;

        .decor__line {
            margin-bottom: 55px;
        }

        .reviews__slider {
            .reviews-slick-slide {
                .reviews-slide__wrapper {
                    max-width: 555px;
                    width: 100%;

                    .reviews__slide {
                        border: 1px solid $bordergray;
                        padding: 30px;
                        
                        .slide__top {
                            display: flex;
                            justify-content: space-between;
                            border-bottom: 1px solid $bordergray;
                            padding-bottom: 40px;
        
                            .review-user {
                                display: flex;
                                align-items: center;
                            
                                .user-photo__wrapper {
                                    width: 74px;
                                    height: 74px;
                                    margin-right: 50px;
                                    position: relative;
        
                                    &::before {
                                        position: absolute;
                                        content: url('../img/icon/quotes.svg');
                                        left: 50%;
                                        transform: translateX(-30%);
                                        top: 70px;
                                    }
        
                                    .user__photo {
                                        width: 74px;
                                        border-radius: 100%;
                                        border: 8px solid $bordergray;
                                        
                                    }
                                }
                            }
                        }
                        
                        .slide__bottom {
                            padding-top: 30px;
                        }
                    }
                }
            } 
        }
    }

    .create__request {
        background-color: $borderform;
        box-shadow: 0px 0px 42px 0px rgba(112, 112, 112, 0.19) inset;

        .create__request__wrapper {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 30px 0;

            .track__request {
                display: flex;
                align-items: center;

                .track__image {
                    padding-right: 15px;
                }
                .block__title {
                    font-size: 18px;
                }
            }

            .phone__request {
                .link__request {
                    @include linkRequest;
                    display: flex;
                }
            }

            .button__request {
                .callback__button {
                    @include requestButton;
                }
            }
        }
    }
}

.footer {
    .footer__top {
        padding: 25px 0;
        
        .menu__nav {
            justify-content: space-between;
            align-items: center;
        }
    }

    .footer__body {
        border-top: 1px solid $bordergray;
        border-bottom: 1px solid $bordergray;
        background-color: $backgroundsection;
        padding-top: 30px;
        padding-bottom: 30px;
        
        .footer-columns__wrapper {
            display: flex;
            justify-content: space-between;
            
            .footer__column {
                column-count: 4;
                width: 100%;
                max-width: 1140px;

                .column-title__link {
                    @include columnTitleLink;
                    display: block;
                    width: 170px; 

                    &:not(:first-child) {
                        margin-top: 25px;
                    }
                }

                .column-text__link {
                    @include columnTextLink;
                    display: block;
                    width: 170px; 
                }

                &:not(:first-child) {
                    border-left: 1px solid $bordergray;
                    padding-left: 30px;
                }
            }
        }
    }

    .footer__bottom {
        .footer-bottom__wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 20px 0;
        }
    }
}